Page MenuHomePhabricator

1.31.0-wmf.23 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.31.0-wmf.23
Release Date
1519603200

2018 week 09 1.31-wmf.23 Changes wmf/1.31.0-wmf.23

This MediaWiki Train Deployment is scheduled for the week of Monday, February 26th:

Monday February 26thTuesday, February 27thWednesday, February 28thThursday, March 1stFriday
SWAT deployments only.Branch wmf.23 and deploy to Group 0 Wikis.Deploy wmf.23 to Group 1 Wikis.Deploy wmf.23 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.23 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.22
Next: 1.31.0-wmf.24

Event Timeline

greg created this task.Jan 2 2018, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2018, 6:59 PM
greg triaged this task as Normal priority.Jan 17 2018, 4:42 PM
greg assigned this task to thcipriani.Feb 22 2018, 7:36 PM

Mentioned in SAL (#wikimedia-operations) [2018-02-27T17:32:48Z] <thcipriani> starting branch cut for 1.31.0-wmf.23 T183962

greg added a comment.Feb 28 2018, 5:46 AM

Reverted back to wmf.22:

05:43:37 +logmsgbot | !log demon@tin rebuilt and synchronized wikiversions files: (no justification provided)

greg closed this task as Resolved.Mar 7 2018, 12:14 AM